Bug 24818 - Accountline creation dates should be datetimes
Summary: Accountline creation dates should be datetimes
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14825 24820
  Show dependency treegraph
 
Reported: 2020-03-06 09:15 UTC by Martin Renvoize
Modified: 2020-04-03 20:28 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24818: Update database accountlines.date to timestamp (1.78 KB, patch)
2020-03-06 11:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24818: Update database accountlines.date to timestamp (1.83 KB, patch)
2020-03-11 13:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24818: Update database accountlines.date to timestamp (1.89 KB, patch)
2020-03-16 21:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-03-06 09:15:41 UTC
The resolution of the 'date' field in accountlines is just a date. It should be helpful if it were a full timestamp and also nice if it were maintained by the database rather than a DEFAULT NULL
Comment 1 Martin Renvoize 2020-03-06 11:22:14 UTC
Created attachment 100250 [details] [review]
Bug 24818: Update database accountlines.date to timestamp

This update increases the resolution for the 'date' field, used for
'creation date' in accountlines from a 'date' to a 'timestamp'.

This matches other tables where both a created and updated field are
included.
Comment 2 Owen Leonard 2020-03-11 13:47:01 UTC
Created attachment 100566 [details] [review]
Bug 24818: Update database accountlines.date to timestamp

This update increases the resolution for the 'date' field, used for
'creation date' in accountlines from a 'date' to a 'timestamp'.

This matches other tables where both a created and updated field are
included.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-03-16 21:18:17 UTC
Created attachment 100821 [details] [review]
Bug 24818: Update database accountlines.date to timestamp

This update increases the resolution for the 'date' field, used for
'creation date' in accountlines from a 'date' to a 'timestamp'.

This matches other tables where both a created and updated field are
included.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-03-19 09:23:46 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Martin Renvoize 2020-03-19 13:07:47 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 20:28:20 UTC
enhancement not backported to 19.11.x